<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueAndOperatingIncome" xlink:label="ifrs-full_RevenueAndOperatingIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="2138004WV2GA7GI77I96-2024-12-31.xsd#hxholdcoltd_BankDepositsReceivedFromPoolingOfInterestMethod" xlink:label="hxholdcoltd_BankDepositsReceivedFromPoolingOfInterestMethod" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RevenueAndOperatingIncome" xlink:to="label_hxholdcoltd_ifrs-fullRevenueAndOperatingIncome_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="label_hxholdcoltd_ifrs-fullFinanceIncomeCost_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_hxholdcoltd_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="hxholdcoltd_BankDepositsReceivedFromPoolingOfInterestMethod" xlink:to="label_hxholdcoltd_hxholdcoltdBankDepositsReceivedFromPoolingOfInterestMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_hxholdcoltd_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_hxholdcoltd_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_hxholdcoltd_ifrs-fullRevenueAndOperatingIncome_Total" id="hxholdcoltd_ifrs-fullRevenueAndOperatingIncome_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total revenue and other operating income</label>
    <label xlink:label="label_hxholdcoltd_ifrs-fullFinanceIncomeCost_Total" id="hxholdcoltd_ifrs-fullFinanceIncomeCost_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Finance income (cost)</label>
    <label xlink:label="label_hxholdcoltd_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="hxholdcoltd_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash inflow from operational activities</label>
    <label xlink:label="label_hxholdcoltd_hxholdcoltdBankDepositsReceivedFromPoolingOfInterestMethod_Standard" id="hxholdcoltd_hxholdcoltdBankDepositsReceivedFromPoolingOfInterestMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Bank deposits received from pooling of interest method</label>
    <label xlink:label="label_hxholdcoltd_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="hxholdcoltd_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash inflow from financing activities</label>
    <label xlink:label="label_hxholdcoltd_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="hxholdcoltd_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net increase in cash and cash equivalents</label>
  </labelLink>
</linkbase>